
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/* DATA SOURCE MODAL –––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
.data-source-button,
.data-source-button:focus {
    background-color: transparent;
    color: rgb(var(--rgb-white) / 90%);
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-weight: 400;
    font-size: 10px;
    padding: 0 1rem;
    margin: 0;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    border: none !important;
    border-radius: 0;
    /*min-width: 175px;*/
    height: calc(var(--height-navbarSub) - 1px);
    min-height: calc(var(--height-navbarSub) - 1px);
    max-height: calc(var(--height-navbarSub) - 1px);
}
.data-source-button:hover {
    opacity: 100%;
    background-color: rgb(var(--rgb-icon-blue) / 50%);
    color: rgb(var(--rgb-white) / 100%);
}
.data-source-button .mantine-Button-leftIcon {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    margin-left: 5px;
    margin-right: 5px;
    font-size: 15px;
}
.data-source-button .mantine-Button-label {
    padding-left: 2px;
    padding-right: 10px;
    text-transform: lowercase;
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/* External Button For Toolbar –––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
.toolbar-menu-external-button {
    height: calc(var(--height-navbarSub) - 1px);
    border-radius: 0;
    background-color: transparent;
    border: none;
    padding: 0 10px;
}
.toolbar-menu-external-button:hover {
    background-color: rgb(var(--rgb-icon-blue) / 50%);
    color: rgb(var(--rgb-white) / 100%);
}
.toolbar-menu-external-button .mantine-Button-label {
    color: rgb(var(--rgb-white) / 100%);
    font-size: 10px;
}
.toolbar-menu-external-button .mantine-Button-section {
    font-size: 12px;
    margin-right: 5px;
}

/* Drop Down Menu Item Within The Toolbar Menu --------------------------- */
.toolbar-menu {
    /*top: 20px !important;*/
    padding: 0;
    background-color: var(--navbar_gradient1) !important;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1) !important;
    border: 1px solid var(--border_color) !important;
    top: calc(var(--height-navbarMaster) + 3px) !important;
}
.toolbar-menu .mantine-Menu-dropdown {}
.toolbar-menu .mantine-Menu-label {
    color: var(--text_dark_bg);
    font-size: 10px;
    font-weight: bold;
    padding-left: 5px;
    text-align: left;
}
.toolbar-menu .mantine-Menu-item {
    color: var(--text_dark_bg);
    font-size: 10px;
    padding: 5px 10px;
}
.toolbar-menu .mantine-Menu-item:hover {
    background-color: rgb(var(--rgb-blue-2) / 100%) !important;
    color: rgb(var(--rgb-white) / 100%);
}
.toolbar-menu .mantine-Menu-divider {
    border-top: 1px solid var(--navbar_text);
    margin: 2px 0;
    padding: 0 5px;
}
.toolbar-menu .mantine-Menu-itemSection {
    font-size: 13px;
}
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/*!* MANTINE MENU - NAVBAR */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/*noinspection CssUnusedSymbol*/
.mantine-Menu-dropdown {
    background-color: var(--BgSecondaryNavbar);
    color: var(--text_001);
    border: none;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.1);
}

/*noinspection CssUnusedSymbol*/
.mantine-Menu-item	{
    padding: 2px;
    font-size: 12px;
}

/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/*!* MANTINE MENU - Label (section dividers within the navbar */
/*–––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––––– *!*/
/*noinspection CssUnusedSymbol*/
.mantine-Menu-label	{
    padding-left: 5px;
    font-size: 12px;
    font-weight: bold;
    text-align: left;
}

/*noinspection CssUnusedSymbol*/
.mantine-Menu-divider {
    border-top: 1px solid var(--text_001);
    margin: 2px 0;
    padding: 0 5px;
}
